<script lang="ts" setup>
  const props = defineProps<{message: string, sentByYou: boolean}>()
</script>

<template>
  <div v-if="sentByYou" class="left">You: {{ message }}</div>
  <div v-else class="right">{{ message }}</div>
</template>

<style scoped>

div {
  padding: 1rem;
  margin: 1rem;
  width: fit-content;
  border-radius: 8px;
}

.left {
  background-color: green;
}
.right {
  text-align: right;
  background-color: blue;
  margin-left: auto;
}
</style>